zoo

## Class Pair<U,V>

- java.lang.Object
- - zoo.Pair<U,V>

-     public class Pair<U,V>
      extends java.lang.Object

  Associe deux élements potentiellement de différente nature grâce à HashMap

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pair(U first, V second)` Constructeur de la pair

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Surcharge de equals
    `U` | `getFirst()` Retourne le premier élément de la paire
    `V` | `getSecond()` Retourne le second élément de la paire
    `int` | `hashCode()` Surcharge de hashCode
    `static void` | `main(java.lang.String[] args)` Test de la classe
    `java.lang.String` | `toString()` Surcharge de toString

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Pair

          public Pair(U first,
                      V second)

      Constructeur de la pair
      Parameters:
        `first` - premier élément de la paire
        `second` - second élément de la paire

  - ### Method Detail

    - #### getFirst

          public U getFirst()

      Retourne le premier élément de la paire
      Returns:
        premier élément de la paire

    - #### getSecond

          public V getSecond()

      Retourne le second élément de la paire
      Returns:
        second élément de la paire

    - #### toString

          public java.lang.String toString()

      Surcharge de toString
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Premier élement Second élément

    - #### equals

          public boolean equals(java.lang.Object o)

      Surcharge de equals
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - Paire à tester
      Returns:
        true/false suivant si les paires sont égales ou non

    - #### hashCode

          public int hashCode()

      Surcharge de hashCode
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        chaîne unique caractérisant une paire

    - #### main

          public static void main(java.lang.String[] args)

      Test de la classe
      Parameters:
        `args` - argument passé (inutile)